"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Auth = void 0;
/**
 * 登陆授权
 */
class Auth {
    constructor(mini) {
        this.mini = mini;
    }
    /**
     * 登录凭证校验
     * 通过 wx.login 接口获得临时登录凭证 code 后传到开发者服务器调用此接口完成登录流程。更多使用方法详见 小程序登录。
     * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/login/auth.code2Session.html
     */
    code2Session(code) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = "/sns/jscode2session";
            const params = {
                appid: this.mini.config.appId,
                secret: this.mini.config.secret,
                js_code: code,
                grant_type: "authorization_code"
            };
            const resp = yield this.mini.http.get(url, { params });
            return resp.data;
        });
    }
}
exports.Auth = Auth;
