"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MiniProgram = void 0;
const base_1 = require("../base");
const wxacode_1 = require("./wxacode");
const auth_1 = require("./auth");
const logistics_1 = require("./logistics");
const uniform_message_1 = require("./uniform-message");
const urlscheme_1 = require("./urlscheme");
class MiniProgram extends base_1.Base {
    constructor(config) {
        super(config);
        this.wxacode = new wxacode_1.WXACode(this);
        this.auth = new auth_1.Auth(this);
        this.logistics = new logistics_1.Logistics(this);
        this.uniformMessage = new uniform_message_1.UniformMessage(this);
        this.urlscheme = new urlscheme_1.Urlscheme(this);
    }
}
exports.MiniProgram = MiniProgram;
