import { MiniProgram } from "..";
import { IGenerateParams } from "./interface";
/**
 * 获取小程序scheme码
 * https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/url-scheme.html
 * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/url-scheme/urlscheme.generate.html
 */
export declare class Urlscheme {
    private mini;
    constructor(mini: MiniProgram);
    /**
     * 获取小程序scheme码
     * - 单个小程序每日生成Scheme上限为50万个（包含短期有效Scheme与长期有效Scheme）
     * - 有效时间超过31天的Scheme或永久有效的Scheme为长期有效Scheme，单个小程序总共可生成长期有效Scheme上限为10万个，请谨慎调用
     * - 有效时间不超过31天的Scheme为短期有效Scheme，单个小程序生成短期有效Scheme不设上限
     * - scheme weixin://dl/business/?t= *TICKET*
     * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/url-scheme/urlscheme.generate.html
     */
    generate(body: IGenerateParams): Promise<import("../../interface").IError & {
        openlink: string;
    }>;
}
