import { MiniProgram } from "..";
/**
 * 小程序码
 * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/qr-code/wxacode.createQRCode.html
 */
export declare class WXACode {
    private mini;
    constructor(mini: MiniProgram);
    /**
     * 生成小程序码接口 A
     * 可接受 path 参数较长，生成个数受限，请谨慎使用
     * 接口 A 加上接口 C，总共生成的码数量限制为 100,000，请谨慎调用。
     */
    createQRCode(path: string, width?: number): Promise<ArrayBuffer>;
    /**
     * 生成小程序码接口 C
     * 生成二维码，可接受 path 参数较长，生成个数受限
     */
    get({ path, width, auto_color, line_color, is_hyaline }: {
        path: any;
        width?: number;
        auto_color?: boolean;
        line_color?: {
            r: number;
            g: number;
            b: number;
        };
        is_hyaline?: boolean;
    }): Promise<ArrayBuffer>;
    /**
     * 生成小程序码接口 B
     * 适用于需要的码数量极多的业务场景。通过该接口生成的小程序码，永久有效，数量暂无限制。
     */
    getUnlimited({ scene, page, width, auto_color, line_color, is_hyaline }: {
        scene: any;
        page?: any;
        width?: number;
        auto_color?: boolean;
        line_color?: {
            r: number;
            g: number;
            b: number;
        };
        is_hyaline?: boolean;
    }): Promise<ArrayBuffer>;
}
