"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemplateMessage = void 0;
/**
 * 模板消息接口
 * https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1433751277
 */
class TemplateMessage {
    constructor(oa) {
        this.oa = oa;
    }
    /**
     * 获取模板列表
     */
    getPrivateTemplates() {
        return __awaiter(this, void 0, void 0, function* () {
            const url = "cgi-bin/template/get_all_private_template";
            const resp = yield this.oa.http.get(url);
            if (resp.data.errcode) {
                throw new Error(`获取模板列表失败: ${JSON.stringify(resp.data)}`);
            }
            return resp.data.template_list;
        });
    }
    /**
     * 发送模板消息
     */
    send(opts) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = "cgi-bin/message/template/send";
            const resp = yield this.oa.http.post(url, opts);
            if (resp.data.errcode) {
                throw new Error(`发送模板消息失败: ${JSON.stringify(resp.data)}`);
            }
            return resp.data.errmsg;
        });
    }
}
exports.TemplateMessage = TemplateMessage;
